/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ColumnDescription } from "./ColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class NumericColumnDescription extends ColumnDescription {
    constructor() {
        super();
        this.c3 = null;
        this.c5 = null;
        this.c4 = null;
        this.c6 = null;
        this.cw = 0;
        this.cx = 0;
        this.cy = 0;
        this.cu = false;
        this.c2 = null;
    }
    get_type() {
        return "NumericColumn";
    }
    get negativePrefix() {
        return this.c3;
    }
    set negativePrefix(a) {
        this.c3 = a;
        this.e("NegativePrefix");
    }
    get positivePrefix() {
        return this.c5;
    }
    set positivePrefix(a) {
        this.c5 = a;
        this.e("PositivePrefix");
    }
    get negativeSuffix() {
        return this.c4;
    }
    set negativeSuffix(a) {
        this.c4 = a;
        this.e("NegativeSuffix");
    }
    get positiveSuffix() {
        return this.c6;
    }
    set positiveSuffix(a) {
        this.c6 = a;
        this.e("PositiveSuffix");
    }
    get maxFractionDigits() {
        return this.cw;
    }
    set maxFractionDigits(a) {
        this.cw = a;
        this.e("MaxFractionDigits");
    }
    get minFractionDigits() {
        return this.cx;
    }
    set minFractionDigits(a) {
        this.cx = a;
        this.e("MinFractionDigits");
    }
    get minIntegerDigits() {
        return this.cy;
    }
    set minIntegerDigits(a) {
        this.cy = a;
        this.e("MinIntegerDigits");
    }
    get showGroupingSeparator() {
        return this.cu;
    }
    set showGroupingSeparator(a) {
        this.cu = a;
        this.e("ShowGroupingSeparator");
    }
    get formatOverrideRef() {
        return this.c2;
    }
    set formatOverrideRef(a) {
        this.c2 = a;
        this.e("FormatOverrideRef");
    }
}
NumericColumnDescription.$t = markType(NumericColumnDescription, 'NumericColumnDescription', ColumnDescription.$);
